# Class RecordedClassLoader

java.lang.Object
jdk.jfr.consumer.RecordedObject
jdk.jfr.consumer.RecordedClassLoader

public final class RecordedClassLoader extends RecordedObject
A recorded Java class loader.

Since:
  9

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getId()`
  Returns a unique ID for the class loader.
  `String`
  `getName()`
  Returns the name of the class loader (for example, "boot", "platform", and "app").
  `RecordedClass`
  `getType()`
  Returns the class of the class loader.

  ### Methods declared in class RecordedObject

  `getBoolean, getByte, getChar, getClass, getDouble, getDuration, getFields, getFloat, getInstant, getInt, getLong, getShort, getString, getThread, getValue, hasField, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getType

    public RecordedClass getType()
    Returns the class of the class loader.

    If the bootstrap class loader is represented as `null` in the Java Virtual Machine (JVM), then `null` is also the return value of this method.

    Returns:
      class of the class loader, can be `null`

  - ### getName

    public String getName()
    Returns the name of the class loader (for example, "boot", "platform", and "app").
    Returns:
      the class loader name, can be `null`

  - ### getId

    public long getId()
    Returns a unique ID for the class loader.

    The ID might not be the same between Java Virtual Machine (JVM) instances.

    Returns:
      a unique ID